import { createClient } from '@supabase/supabase-js';
// Remove the Database import: import type { Database } from './database.types'

const supabaseUrl = import.meta.env.VITE_SUPABASE_URL;
const supabaseAnonKey = import.meta.env.VITE_SUPABASE_ANON_KEY;

if (!supabaseUrl || !supabaseAnonKey) {
	throw new Error('Supabase URL and Anon Key must be provided in environment variables.');
}

// Initialize without the Database generic
export const supabase = createClient(supabaseUrl, supabaseAnonKey);
